{
    "defects": [
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis-clevis/module-setup.sh",
                    "line": 27,
                    "column": 3,
                    "h_size": 15,
                    "event": "warning[SC2154]",
                    "message": "systemdutildir is referenced but not assigned.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis-clevis/module-setup.sh",
                    "line": 41,
                    "column": 23,
                    "h_size": 17,
                    "event": "error[SC2283]",
                    "message": "Remove spaces around = to assign (or use [ ] to compare, or quote '=' if literal).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis-clevis/module-setup.sh",
                    "line": 72,
                    "column": 15,
                    "h_size": 7,
                    "event": "warning[SC2154]",
                    "message": "moddir is referenced but not assigned.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis-clevis/stratis-clevis-rootfs-setup",
                    "line": 18,
                    "column": 4,
                    "h_size": 53,
                    "event": "warning[SC2091]",
                    "message": "Remove surrounding $() to avoid executing output (or use eval if intentional).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis-clevis/stratis-clevis-rootfs-setup",
                    "line": 19,
                    "column": 5,
                    "h_size": 55,
                    "event": "warning[SC2091]",
                    "message": "Remove surrounding $() to avoid executing output (or use eval if intentional).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis/module-setup.sh",
                    "line": 7,
                    "column": 3,
                    "h_size": 15,
                    "event": "warning[SC2154]",
                    "message": "systemdutildir is referenced but not assigned.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis/module-setup.sh",
                    "line": 52,
                    "column": 14,
                    "h_size": 7,
                    "event": "warning[SC2154]",
                    "message": "moddir is referenced but not assigned.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis/stratis-rootfs-setup",
                    "line": 18,
                    "column": 4,
                    "h_size": 53,
                    "event": "warning[SC2091]",
                    "message": "Remove surrounding $() to avoid executing output (or use eval if intentional).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/dracut/modules.d/90stratis/stratis-rootfs-setup",
                    "line": 19,
                    "column": 5,
                    "h_size": 55,
                    "event": "warning[SC2091]",
                    "message": "Remove surrounding $() to avoid executing output (or use eval if intentional).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/systemd/stratis-fstab-setup",
                    "line": 20,
                    "column": 4,
                    "h_size": 43,
                    "event": "warning[SC2091]",
                    "message": "Remove surrounding $() to avoid executing output (or use eval if intentional).",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "SHELLCHECK_WARNING",
            "language": "shell",
            "tool": "shellcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/stratisd-3.8.0_202503101612gitc4343c2f-build/BUILDROOT/usr/lib/systemd/stratis-fstab-setup",
                    "line": 21,
                    "column": 5,
                    "h_size": 45,
                    "event": "warning[SC2091]",
                    "message": "Remove surrounding $() to avoid executing output (or use eval if intentional).",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
